# Change Log

All notable changes to this project will be documented in this file.

## [Unreleased]

### Added

- Intro: [What is Vim?](README.md#what-is-vim)
- Intro: [First steps](README.md#first-steps)
- Intro: [What kind of Vim am I running?](README.md#what-kind-of-vim-am-i-running)
- Intro: [Cheatsheets](README.md#cheatsheets)
- Intro: [The Vim Philosphy](README.md#the-vim-philosophy)
- Intro: [Minimal vimrc](README.md#minimal-vimrc)
- Basics: [Marks?](README.md#marks)
- Basics: [Changelist?](README.md#changelist)
- Basics: [Changelist? Jumplist?](README.md#changelist-jumplist)
- Basics: [Sessions?](README.md#sessions)
- Basics: [Folding?](README.md#folding)
- Basics: [Macros?](README.md#macros)
- Basics: [Ranges?](README.md#ranges)
- Basics: [Completion?](README.md#completion)
- Basics: [Undo tree?](README.md#undo-tree)
- Commands: [:redir](README.md#redir)
- Tips: [Saner command-line history](README.md#saner-command-line-history)
- Tips: [Reload a file on saving](README.md#reload-a-file-on-saving)
- Tips: [Smarter cursorline](README.md#smarter-cursorline)
- Tips: [Saner CTRL-L](README.md#saner-ctrl-l)
- Tips: [Disable audible and visual bells](README.md#disable-audible-and-visual-bells)
- Tips: [Faster keyword completion](README.md#faster-keyword-completion)
- Usage: [Getting help offline (alternative)](README.md#getting-help-offline-alternative)
- Usage: [Editing remote files](README.md#editing-remote-files)
- Usage: [Restore cursor position when opening file](README.md#restore-cursor-position-when-opening-file)
- Usage: [Handling backup, swap, undo, and viminfo files](README.md#handling-backup-swap-undo-and-viminfo-files)
- Usage: [Running external programs and using filters](README.md#running-external-programs-and-using-filters)
- Usage: [MatchIt](README.md#matchit)
- Debugging: [Verbosity](README.md#verbosity)
- Debugging: [Debugging Vim scripts](README.md#debugging-vim-scripts)
- Debugging: [Debugging syntax files](README.md#debugging-syntax-files)
- Quirks: [Editing small files is slow](README.md#editing-small-files-is-slow)
- Quirks: [Editing huge files is slow](README.md#editing-huge-files-is-slow)
- Quirks: [Delays when using escape key in terminal](README.md#delays-when-using-escape-key-in-terminal)
- Misc: [Additional resources](README.md#additional-resources)
- Misc: [Easter eggs](README.md#easter-eggs)
- Misc: [Why hjkl for navigation?](README.md#why-hjkl-for-navigation)
- Misc: [Standard plugins](README.md#standard-plugins)
- Misc: [Map CapsLock to Control](README.md#map-capslock-to-control)
- Neovim: [Terminal emulator](content/neovim.md#terminal-emulator)
- Neovim: [Configuration](content/neovim.md#configuration)

### Changed

- Basics: Improved [Mapleader?](README.md#mapleader)
- Usage: rewrote [Clipboard](README.md#clipboard)
- Move "List of Plugins" section to `content/plugins.md`

## [1.1] - 2016-01-07

### Added

- Basics: [Quickfix and location lists?](README.md#quickfix-and-location-lists)
- Basics: [Registers?](README.md#registers)
- Basics: [Autocmds?](README.md#autocmds)
- Basics: [Motions? Operators? Text objects?](README.md#motions-operators-text-objects)
- Basics: [Locality?](README.md#locality)
- Usage: [Clipboard](README.md#clipboard)
- Quirks: [Newline used for NUL](README.md#newline-used-for-nul)
- Quirks: [Bracketed paste (or why do I have to set 'paste' all the time?)](README.md#bracketed-paste-or-why-do-i-have-to-set-paste-all-the-time)
- Plugins: [New section "Commenters"](README.md#commenters)
- Plugins: [New section "Misc"](README.md#misc)
- Plugins: [New section "Tmux"](README.md#tmux)
- Tips: [Saner behavior of n and N](README.md#saner-behavior-of-n-and-n)
- Tips: [Quickly move current line](README.md#quickly-move-current-line)
- Tips: [Quickly add empty lines](README.md#quickly-add-empty-lines)
- Tips: [Quickly edit your macros](README.md#quickly-edit-your-macros)
- Tips: [Quickly jump to header or source file](README.md#quickly-jump-to-header-or-source-file)
- Tips: [Quickly change font size in GUI](README.md#quickly-change-font-size-in-gui)
- Tips: [Change cursor style in insert mode](README.md#change-cursor-style-in-insert-mode)
- Tips: [Don't lose selection when shifting sidewards](README.md#dont-lose-selection-when-shifting-sidewards)

## [1.0] - 2016-01-06

First release!

[Unreleased]: https://github.com/mhinz/vim-galore/compare/v1.1...HEAD
[1.1]: https://github.com/mhinz/vim-galore/compare/v1.0...v1.1
[1.0]: https://github.com/mhinz/vim-galore/compare/69677e2...v1.0
